%define upstream_name    SMS-Send
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    SMS::Send Regional-Class Testing Driver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SMS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Adapter)
BuildRequires: perl(Class::Adapter::Builder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
'SMS::Send' is intended to provide a driver-based single API for sending
SMS and MMS messages. The intent is to provide a single API against which
to write the code to send an SMS message.

At the same time, the intent is to remove the limits of some of the
previous attempts at this sort of API, like "must be free internet-based
SMS services".

'SMS::Send' drivers are installed seperately, and might use the web, email
or physical SMS hardware. It could be a free or paid. The details shouldn't
matter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README LICENSE META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 372371
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 10 2011 kharec <kharec> 1.60.0-1.mga2
+ Revision: 166089
- imported package perl-SMS-Send

